Bug 1023190 - installer fails to apply lower bound to resize requests in custom spoke
installer fails to apply lower bound to resize requests in custom spoke
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: David Lehman
Release Test Team
abrt_hash:d76ba3d76d15e4347e173ef4cdd...
:
Depends On: 986575 1034311
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 16:26 EDT by David Lehman
Modified: 2014-06-17 21:41 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.31.45-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 986575
Environment:
Last Closed: 2014-06-13 06:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-10-24 16:26:43 EDT
+++ This bug was initially created as a clone of Bug #986575 +++

Description of problem:
Attempt to set size of existing root logical volume to 10 in Custom Partitioning. Specify "/home" as mount point.

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 207, in _setTargetSize
    raise ValueError("invalid target size request")
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 589, in __init__
    self.device.format.targetSize = newsize
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1211, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1399, in _save_right_side
    self.__storage.resizeDevice(device, size)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2756, in on_apply_clicked
    self._save_right_side(self._current_selector)
ValueError: invalid target size request

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

--- Additional comment from David Lehman on 2013-07-22 18:33:04 EDT ---

Apparently when we switched from a spinner to an entry we lost our ability to ensure that the new size is greater than the minimum.
Comment 1 Martin Kyral 2013-11-25 09:31:56 EST
1) install another distro on a disk (or create a partially filled partition there)
2) start anaconda
3) in the INSTALLATION DESTINATION select the disk containing the partially filled partition and click done
4) select manual partitioning
5) in the manual partitioning tool try to shrink the partition more than is possible (ie. in the Desired Size filed, type lower size than is actually used on the partition)
6) click the "Update Settings" button
7) crash

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/distrotrees/65107/initrd method=http://download-01.eng.brq.redhat.com/pub/rhel/rel-eng/RHEL-7.0-20131115.2/compose/Everything/x86_64/os/ repo=http://download-01.eng.brq.redhat.com/pub/rhel/rel-eng/RHEL-7.0-20131115.2/compose/Everything/x86_64/os/  BOOT_IMAGE=/distrotrees/65107/kernel 
hashmarkername: anaconda
kernel:         3.10.0-50.el7.x86_64
package:        anaconda-19.31.34-1
product:        Red Hat Enterprise Linux
reason:         ValueError: invalid target size request
release:        Red Hat Enterprise Linux Server release 7.0 Beta (Maipo)
version:        7.0
Comment 4 Ludek Smid 2014-06-13 06:12:40 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.